library(tidyr)

context("test unpivot")

test_that("unpivot works", {
  result <-
    structure(
      list(
        col1 = c(
          "a1",
          "a1",
          "a1",
          "a1",
          "a1",
          "a1",
          "a1",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "Total a1",
          "Total a1",
          "Total a1",
          "Total a1",
          "Total a1",
          "Total a1",
          "Total a1",
          "a2",
          "a2",
          "a2",
          "a2",
          "a2",
          "a2",
          "a2",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "Total a2",
          "Total a2",
          "Total a2",
          "Total a2",
          "Total a2",
          "Total a2",
          "Total a2",
          "Total general",
          "Total general",
          "Total general",
          "Total general",
          "Total general",
          "Total general",
          "Total general"
        ),
        col2 = c(
          "b1",
          "b1",
          "b1",
          "b1",
          "b1",
          "b1",
          "b1",
          "b2",
          "b2",
          "b2",
          "b2",
          "b2",
          "b2",
          "b2",
          "b3",
          "b3",
          "b3",
          "b3",
          "b3",
          "b3",
          "b3",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "b1",
          "b1",
          "b1",
          "b1",
          "b1",
          "b1",
          "b1",
          "b2",
          "b2",
          "b2",
          "b2",
          "b2",
          "b2",
          "b2",
          "b3",
          "b3",
          "b3",
          "b3",
          "b3",
          "b3",
          "b3",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          "",
          ""
        ),
        row1 = c(
          "e1",
          "",
          "Total e1",
          "e2",
          "",
          "Total e2",
          "Total general",
          "e1",
          "",
          "Total e1",
          "e2",
          "",
          "Total e2",
          "Total general",
          "e1",
          "",
          "Total e1",
          "e2",
          "",
          "Total e2",
          "Total general",
          "e1",
          "",
          "Total e1",
          "e2",
          "",
          "Total e2",
          "Total general",
          "e1",
          "",
          "Total e1",
          "e2",
          "",
          "Total e2",
          "Total general",
          "e1",
          "",
          "Total e1",
          "e2",
          "",
          "Total e2",
          "Total general",
          "e1",
          "",
          "Total e1",
          "e2",
          "",
          "Total e2",
          "Total general",
          "e1",
          "",
          "Total e1",
          "e2",
          "",
          "Total e2",
          "Total general",
          "e1",
          "",
          "Total e1",
          "e2",
          "",
          "Total e2",
          "Total general"
        ),
        row2 = c(
          "d1",
          "d2",
          "",
          "d1",
          "d2",
          "",
          "",
          "d1",
          "d2",
          "",
          "d1",
          "d2",
          "",
          "",
          "d1",
          "d2",
          "",
          "d1",
          "d2",
          "",
          "",
          "d1",
          "d2",
          "",
          "d1",
          "d2",
          "",
          "",
          "d1",
          "d2",
          "",
          "d1",
          "d2",
          "",
          "",
          "d1",
          "d2",
          "",
          "d1",
          "d2",
          "",
          "",
          "d1",
          "d2",
          "",
          "d1",
          "d2",
          "",
          "",
          "d1",
          "d2",
          "",
          "d1",
          "d2",
          "",
          "",
          "d1",
          "d2",
          "",
          "d1",
          "d2",
          "",
          ""
        ),
        value = c(
          "2,99",
          "1,02",
          "4,01",
          "4,06",
          "1,32",
          "5,38",
          "9,39",
          "3,89",
          "3,65",
          "7,54",
          "5,55",
          "",
          "5,55",
          "13,09",
          "2,33",
          "",
          "2,33",
          "1,87",
          "",
          "1,87",
          "4,2",
          "9,21",
          "4,67",
          "13,88",
          "11,48",
          "1,32",
          "12,8",
          "26,68",
          "5,62",
          "1,94",
          "7,56",
          "4,59",
          "2,13",
          "6,72",
          "14,28",
          "3,82",
          "7,72",
          "11,54",
          "4,78",
          "2,94",
          "7,72",
          "19,26",
          "5,36",
          "6,38",
          "11,74",
          "1,69",
          "1,78",
          "3,47",
          "15,21",
          "14,8",
          "16,04",
          "30,84",
          "11,06",
          "6,85",
          "17,91",
          "48,75",
          "24,01",
          "20,71",
          "44,72",
          "22,54",
          "8,17",
          "30,71",
          "75,43"
        )
      ),
      row.names = c(NA, -63L),
      class = c("tbl_df",
                "tbl", "data.frame")
    )
  pt <-
    list_pt_ie[[1]] %>%
    remove_top(1) %>%
    define_labels(n_col = 2, n_row = 2) %>%
    unpivot(include_page = FALSE)
  expect_equal(pt, result)
})
